Permalink
Browse files

Removed Sequel::Model() stub. Removed deprecated adapter stubs. Versi…

…on 1.0.
  • Loading branch information...
ciconia committed Jan 2, 2008
1 parent 2b70eb9 commit ec0af703e06853ce930fb6cc0ac6c10be48a4115
View
@@ -1,4 +1,8 @@
-=== SVN
+=== 1.0 (2007-01-02)
+
+* Removed deprecated adapter stubs.
+
+* Removed Sequel::Model() stub.
* Changed name to sequel_core.
@@ -1,6 +0,0 @@
-warn "Requiring 'sequel/ado' is deprecated. Please modify your code to only require 'sequel' instead."
-
-if !Object.const_defined?('Sequel')
- require File.join(File.dirname(__FILE__), '../sequel')
-end
-require File.join(File.dirname(__FILE__), 'adapters/ado')
@@ -1,6 +0,0 @@
-warn "Requiring 'sequel/db2' is deprecated. Please modify your code to require 'sequel' instead."
-
-if !Object.const_defined?('Sequel')
- require File.join(File.dirname(__FILE__), '../sequel')
-end
-require File.join(File.dirname(__FILE__), 'adapters/db2')
@@ -1,6 +0,0 @@
-warn "Requiring 'sequel/dbi' is deprecated. Please modify your code to require 'sequel' instead."
-
-if !Object.const_defined?('Sequel')
- require File.join(File.dirname(__FILE__), '../sequel')
-end
-require File.join(File.dirname(__FILE__), 'adapters/dbi')
@@ -1,6 +0,0 @@
-warn "Requiring 'sequel/informix' is deprecated. Please modify your code to require 'sequel' instead."
-
-if !Object.const_defined?('Sequel')
- require File.join(File.dirname(__FILE__), '../sequel')
-end
-require File.join(File.dirname(__FILE__), 'adapters/informix')
@@ -1,6 +0,0 @@
-warn "Requiring 'sequel/mysql' is deprecated. Please modify your code to require 'sequel' instead."
-
-if !Object.const_defined?('Sequel')
- require File.join(File.dirname(__FILE__), '../sequel')
-end
-require File.join(File.dirname(__FILE__), 'adapters/mysql')
@@ -1,6 +0,0 @@
-warn "Requiring 'sequel/odbc' is deprecated. Please modify your code to require 'sequel' instead."
-
-if !Object.const_defined?('Sequel')
- require File.join(File.dirname(__FILE__), '../sequel')
-end
-require File.join(File.dirname(__FILE__), 'adapters/odbc')
@@ -1,6 +0,0 @@
-warn "Requiring 'sequel/oracle' is deprecated. Please modify your code to require 'sequel' instead."
-
-if !Object.const_defined?('Sequel')
- require File.join(File.dirname(__FILE__), '../sequel')
-end
-require File.join(File.dirname(__FILE__), 'adapters/oracle')
@@ -1,6 +0,0 @@
-warn "Requiring 'sequel/postgres' is deprecated. Please modify your code to require 'sequel' instead."
-
-if !Object.const_defined?('Sequel')
- require File.join(File.dirname(__FILE__), '../sequel')
-end
-require File.join(File.dirname(__FILE__), 'adapters/postgres')
@@ -1,6 +0,0 @@
-warn "Requiring 'sequel/sqlite' is deprecated. Please modify your code to require 'sequel' instead."
-
-if !Object.const_defined?('Sequel')
- require File.join(File.dirname(__FILE__), '../sequel')
-end
-require File.join(File.dirname(__FILE__), 'adapters/sqlite')

0 comments on commit ec0af70

Please sign in to comment.